//图库模块

import {get,post} from './http'

/**
 * 图表详情
 * @param ChartInfoId 图表ID
 * @param DateType 时段筛选：1-00年至今; 2-10年至今; 3-15年至今; 4-21年至今; 5-指定区间; 6-指定年月至今; 7-18年至今; 8-19年至今; 9-20年至今
 * @param StartDate 自定义开始日期
 * @param EndDate 自定义结束日期
 * @param SeasonStartDate 季节性图表-开始日期
 * @param SeasonEndDate 季节性图表-结束日期
 * @param EdbInfoId 指标ID，多个用英文逗号隔开
 * @param Calendar 公历/农历
 * @param ChartType 图表样式 1-曲线图 2-季节性图表
 */
export const apiChartInfo=params=>{
    return get('/my_chart/getChartDetail',params)
}

/**
 * 图表列表
 * @param Keywords
 * @param ClassifyId
 * @param Page
 * @param Limit
 */
export const apiChartList=params=>{
    return get('/my_chart/getChartList',params)
}

/**
 * 获取当前图表前一个\后一个 
 * @param MyChartId 当前图表的MyChartId
 * @param ChartInfoId 
 */
export const apiChartBeforeAndNext=params=>{
    return get('/my_chart/getChartBeforeAndNext',params)
}

/**
 * 保存图表
 */
export const apiChartSave=params=>{
    return post('/my_chart/editChartInfo',params)
}

/**
 * 刷新图表
 * @param ChartInfoId
 */
export const apiChartRefresh=params=>{
    return post('/my_chart/refreshChartInfo',params)
}